> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the authenticated User



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/user
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/user:
    get:
      tags:
        - Auth
      summary: Get the authenticated User
      operationId: auth.me
      responses:
        '200':
          description: '`UserData`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      name:
                        type: string
                      email:
                        type: string
                      created_at:
                        type: string
                      two_factor_confirmed_at:
                        type:
                          - string
                          - 'null'
                      profile_photo_path:
                        type:
                          - string
                          - 'null'
                      platform_domain_account_id:
                        type:
                          - string
                          - 'null'
                      current_team:
                        anyOf:
                          - $ref: '#/components/schemas/TeamData'
                          - type: 'null'
                      role:
                        type:
                          - string
                          - 'null'
                      platform_role:
                        type:
                          - string
                          - 'null'
                      meta:
                        type:
                          - array
                          - 'null'
                        items:
                          type: string
                    required:
                      - id
                      - name
                      - email
                      - created_at
                      - two_factor_confirmed_at
                      - profile_photo_path
                      - platform_domain_account_id
                      - role
                      - platform_role
                      - meta
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  schemas:
    TeamData:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        created_at:
          type: string
        meta:
          anyOf:
            - $ref: '#/components/schemas/TeamMetaData'
            - type: 'null'
        balance:
          type:
            - number
            - 'null'
      required:
        - id
        - name
        - created_at
        - meta
      title: TeamData
    TeamMetaData:
      type: object
      properties:
        seller:
          anyOf:
            - $ref: '#/components/schemas/TeamSellerData'
            - type: 'null'
        default_timezone:
          type:
            - string
            - 'null'
        green_invoice_client_id:
          type:
            - string
            - 'null'
        onboarding:
          type:
            - array
            - 'null'
          items:
            type: string
        voice_lead_submitter:
          type:
            - array
            - 'null'
          items:
            type: string
      required:
        - seller
        - default_timezone
        - green_invoice_client_id
        - onboarding
        - voice_lead_submitter
      title: TeamMetaData
    TeamSellerData:
      type: object
      properties:
        margin_type:
          anyOf:
            - $ref: '#/components/schemas/SmsMarginTypeEnum'
            - type: 'null'
        margin_value:
          type:
            - string
            - 'null'
          default: 30
      required:
        - margin_type
        - margin_value
      title: TeamSellerData
    SmsMarginTypeEnum:
      type: string
      enum:
        - percentage
        - fixed
      title: SmsMarginTypeEnum
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````